summaryrefslogtreecommitdiffstats
path: root/compton
diff options
context:
space:
mode:
Diffstat (limited to 'compton')
-rwxr-xr-xcompton/.services/available/compton/log/run4
-rwxr-xr-xcompton/.services/available/compton/run3
-rw-r--r--compton/Makefile4
3 files changed, 11 insertions, 0 deletions
diff --git a/compton/.services/available/compton/log/run b/compton/.services/available/compton/log/run
new file mode 100755
index 0000000..38568be
--- /dev/null
+++ b/compton/.services/available/compton/log/run
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eu
+
+exec multilog t s16777215 "$HOME/.log/compton"
diff --git a/compton/.services/available/compton/run b/compton/.services/available/compton/run
new file mode 100755
index 0000000..8c67cec
--- /dev/null
+++ b/compton/.services/available/compton/run
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec picom -m 0.9 -i 0.8 -f -D 5 --inactive-dim 0.3 2>&1
diff --git a/compton/Makefile b/compton/Makefile
new file mode 100644
index 0000000..5282c6a
--- /dev/null
+++ b/compton/Makefile
@@ -0,0 +1,4 @@
+include ../Makefile.include
+
+install: $(HOME)/.services/enabled/compton
+ @mkdir -p $(HOME)/.log/compton